Search Accounts

Search accounts

get

Use the following parameters to search accounts.

Authorizations
X-Ledger-API-UserstringRequired

(required) Username of a registered API User

Query parameters
account_labelstring[] | nullableOptional

A list of label id to filter account by.

Default: null
account_typestring · enum | nullableOptional

Filters the results on the crypto asset type.

Default: nullPossible values:
created_afterstring · date-time | nullableOptional

Returns objects created after the entered date.

Default: nullExample: 2020-09-12T14:15:22Z
created_beforestring · date-time | nullableOptional

Returns objects created before the entered date.

Default: nullExample: 2020-12-13T16:17:28Z
currencystring | nullableOptional

Filters the results by the account's currency.

Default: nullExample: bitcoin or ethereum:0xdAC17F958D2ee523a2206206994597C13D831ec7
entityinteger[] | nullableOptional

An entity to filter account by

Default: null
groupinteger | nullableOptional

Lists accounts linked to the entered group.

Default: null
idinteger | nullableOptional

Returns the object corresponding to the entered ID

Default: null
namestring | nullableOptional

Filters the list by account name.

Default: nullExample: hot wallet 1
orderstring · enum | nullableOptional

Orders the list of results

Default: nullExample: descPossible values:
order_bystring | nullableOptional

criteria to order by

Default: nullExample: name
pageinteger | nullableOptional

Defines the page number to be fetched.

Default: 1Example: 3
page_sizeinteger | nullableOptional

Defines the number of elements displayed on a page. Must be a positive number with 0 and -1 return a maximum defined in the gate

Default: 20Example: 40
parentinteger | nullableOptional

Filters the list of results to display accounts linked to the entered parent account.

Default: null
statusstring · enum | nullableOptional

Returns objects that match the selected status.

Default: nullPossible values:
userinteger | nullableOptional

Filters the list to display accounts the entered user belongs to.

Default: null
Responses
200

Account search results

application/json
get
/accounts

Last updated